net.sf.jasperreports.engine.design

## Class JRDesignDatasetRun

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseDatasetRun
  - - net.sf.jasperreports.engine.design.JRDesignDatasetRun

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRDatasetRun, JRIdentifiable, JRPropertiesHolder

      public class JRDesignDatasetRun
      extends JRBaseDatasetRun
      implements JRChangeEventsSupport

  Implementation of `JRDatasetRun` to be used for report desing.
  Version:
    $Id: JRDesignDatasetRun.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CONNECTION_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DATA_SOURCE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DATASET_NAME`
    `static java.lang.String` | `PROPERTY_PARAMETERS`
    `static java.lang.String` | `PROPERTY_PARAMETERS_MAP_EXPRESSION`
    `static java.lang.String` | `PROPERTY_RETURN_VALUES`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetRun

      `connectionExpression, datasetName, dataSourceExpression, parameters, parametersMapExpression, propertiesMap, returnValues, uuid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignDatasetRun()` Creates an empty dataset instantiation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(JRDatasetParameter parameter)` Adds a parameter value.
    `void` | `addReturnValue(ReturnValue returnValue)` Adds a return value to the subdataset run.
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
    `java.util.List<ReturnValue>` | `getReturnValuesList()` Returns the list of values to be copied from the subdataset run into the main dataset.
    `JRDatasetParameter` | `removeParameter(JRDatasetParameter parameter)` Removes a parameter value.
    `JRDatasetParameter` | `removeParameter(java.lang.String parameterName)` Removes a parameter value.
    `boolean` | `removeReturnValue(ReturnValue returnValue)` Removes a return value from the subdataset run.
    `void` | `setConnectionExpression(JRExpression connectionExpression)` Sets the connection expression.
    `void` | `setDatasetName(java.lang.String datasetName)` Sets the sub dataset name.
    `void` | `setDataSourceExpression(JRExpression dataSourceExpression)` Sets the data source expression.
    `void` | `setParametersMapExpression(JRExpression parametersMapExpression)` Sets the parameters map expression.
    `void` | `setUUID(java.util.UUID uuid)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetRun

      `getConnectionExpression, getDatasetName, getDataSourceExpression, getParametersMapExpression, getParentProperties, getPropertiesMap, getReturnValues, getUUID, hasProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CONNECTION_EXPRESSION

          public static final java.lang.String PROPERTY_CONNECTION_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DATASET_NAME

          public static final java.lang.String PROPERTY_DATASET_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_DATA_SOURCE_EXPRESSION

          public static final java.lang.String PROPERTY_DATA_SOURCE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_PARAMETERS_MAP_EXPRESSION

          public static final java.lang.String PROPERTY_PARAMETERS_MAP_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_PARAMETERS

          public static final java.lang.String PROPERTY_PARAMETERS

      See Also:
        Constant Field Values

    - #### PROPERTY_RETURN_VALUES

          public static final java.lang.String PROPERTY_RETURN_VALUES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignDatasetRun

          public JRDesignDatasetRun()

      Creates an empty dataset instantiation.

  - ### Method Detail

    - #### addParameter

          public void addParameter(JRDatasetParameter parameter)
                            throws JRException

      Adds a parameter value.
      Parameters:
        `parameter` - the parameter value
      Throws:
        `JRException`
      See Also:
        `JRDatasetRun.getParameters()`

    - #### removeParameter

          public JRDatasetParameter removeParameter(java.lang.String parameterName)

      Removes a parameter value.
      Parameters:
        `parameterName` - the parameter name
      Returns:
        the removed parameter value

    - #### removeParameter

          public JRDatasetParameter removeParameter(JRDatasetParameter parameter)

      Removes a parameter value.
      Parameters:
        `parameter` - the parameter value
      Returns:
        the parameter value

    - #### setConnectionExpression

          public void setConnectionExpression(JRExpression connectionExpression)

      Sets the connection expression.
      Parameters:
        `connectionExpression` - the connection expression
      See Also:
        `JRDatasetRun.getConnectionExpression()`

    - #### setDatasetName

          public void setDatasetName(java.lang.String datasetName)

      Sets the sub dataset name.
      Parameters:
        `datasetName` - the sub dataset name
      See Also:
        `JRDatasetRun.getDatasetName()`

    - #### setDataSourceExpression

          public void setDataSourceExpression(JRExpression dataSourceExpression)

      Sets the data source expression.
      Parameters:
        `dataSourceExpression` - the data source expression
      See Also:
        `JRDatasetRun.getDataSourceExpression()`

    - #### setParametersMapExpression

          public void setParametersMapExpression(JRExpression parametersMapExpression)

      Sets the parameters map expression.
      Parameters:
        `parametersMapExpression` - the parameters map expression
      See Also:
        `JRDatasetRun.getParametersMapExpression()`

    - #### getParameters

          public JRDatasetParameter[] getParameters()

      Description copied from interface: `JRDatasetRun`
      Returns the list of parameter values.
      Specified by:
        `getParameters` in interface `JRDatasetRun`
      Overrides:
        `getParameters` in class `JRBaseDatasetRun`
      Returns:
        the list of parameter values

    - #### setUUID

          public void setUUID(java.util.UUID uuid)

    - #### addReturnValue

          public void addReturnValue(ReturnValue returnValue)

      Adds a return value to the subdataset run.
      Parameters:
        `returnValue` - the return value to be added.

    - #### getReturnValuesList

          public java.util.List<ReturnValue> getReturnValuesList()

      Returns the list of values to be copied from the subdataset run into the main dataset.
      Returns:
        list of `ReturnValue` objects

    - #### removeReturnValue

          public boolean removeReturnValue(ReturnValue returnValue)

      Removes a return value from the subdataset run.
      Parameters:
        `returnValue` - the return value to be removed
      Returns:
        `true` if the return value was found and removed

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseDatasetRun`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com